      subroutine calkowanie(a,b,n,f,calka)
c 
c Podprogram oblicza calke oznaczona funkcji f metoda trapezow.
c Przedzial calkowania wynosi [a,b], liczba krokow calkowania n a wynik 
c jest zapamietany w zmiennej calka.
c
      implicit real*8 (a-h,o-z)
      external f
      h=(b-a)/n
      suma=0.5d0*(f(a)+f(b))
      do i=1,n-1
        x=a+i*h
        suma=suma+f(x)
      enddo
      calka=h*suma
      return
      end
